Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005594opensim[REGION] OpenSim Corepublic2011-07-19 10:042014-07-29 13:40
Reportercmickeyb 
Assigned Tocmickeyb 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0005594: border crossing of physical objects generates continuous stream of GetRegionByPosition calls
DescriptionSomeone dumped a bunch of physical objects in one of our regions. The objects attempted to cross the region boundary into a region that no longer exists. Every heartbeat, every one of the objects generated a GetRegionByPosition call to the grid services (the region doesn't exist & getregionbyposition results are not cached). Obviously bad impact on both the simulator and the grid services.
Additional InformationThis should probably be handled by extending the RegionInfo cache. I'm a bit worried about caching negative results for regions though.
TagsNo tags attached.
Git Revision or version numberee829a71c2e42d4434d8ce
Run Mode Grid (Multiple Regions per Sim)
Physics EngineODE
EnvironmentMono / Linux32
Mono Version2.6.3
Viewer
Attached Files

- Relationships

-  Notes
(0020655)
cmickeyb (administrator)
2012-01-10 12:51

fixed in 456c89a7a3

- Issue History
Date Modified Username Field Change
2011-07-19 10:04 cmickeyb New Issue
2011-07-19 10:04 cmickeyb Git Revision => ee829a71c2e42d4434d8ce
2011-07-19 10:04 cmickeyb Run Mode => Grid (Multiple Regions per Sim)
2011-07-19 10:04 cmickeyb Physics Engine => ODE
2011-07-19 10:04 cmickeyb Environment => Mono / Linux32
2011-07-19 10:04 cmickeyb Mono Version => 2.6.3
2012-01-10 12:51 cmickeyb Note Added: 0020655
2012-01-10 12:51 cmickeyb Status new => resolved
2012-01-10 12:51 cmickeyb Fixed in Version => master (dev code)
2012-01-10 12:51 cmickeyb Resolution open => fixed
2012-01-10 12:51 cmickeyb Assigned To => cmickeyb
2014-07-29 13:40 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker